Skip to main content
GET
/
v2
/
files
List all files
curl --request GET \
  --url https://api.orq.ai/v2/files \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "file_id": "<string>",
      "purpose": 123,
      "file_name": "<string>",
      "workspace_id": "<string>",
      "bytes": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.orq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>
starting_after
string
ending_before
string

Response

200 - application/json

OK

object
string
data
object[]
has_more
boolean